Bug 56638 - New port: numlockx
Summary: New port: numlockx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-09 16:00 UTC by Jean-Baptiste Quenot
Modified: 2003-10-01 11:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Quenot 2003-09-09 16:00:31 UTC
This little thingy allows you to start X with NumLock turned on ( which
is a feature that a lot of people seem to miss and nobody really knew how to
achieve this ).

Fix: 

Please extract the following archive to the x11 subdirectory of the ports
collection:
http://caraldi.com/jbq/numlockx/admin/numlockx.tgz
Comment 1 Ernst de Haan freebsd_committer 2003-09-29 12:11:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->znerd

I'll handle this.
Comment 2 Ernst de Haan freebsd_committer 2003-09-29 12:11:18 UTC
State Changed
From-To: open->feedback

Did a quick check with 'portlint' but it had 
quite a few complaints: 

$ portlint 
OK: checking /usr/home/ernst/freebsd/ports/x11/numlockx/pkg-descr. 
OK: checking Makefile. 
FATAL: no "ports collection makefile for" line in comment section of Makefile. 
FATAL: no "Whom" line in comment section of Makefile. 
FATAL: no $FreeBSD$ line in Makefile comment section. 
FATAL: extra item "MAINTAINER" placed in the PORTNAME section. 
FATAL: extra item "COMMENT" placed in the PORTNAME section. 
FATAL: extra item "HAS_CONFIGURE" placed in the PORTNAME section. 
FATAL: extra item "CONFIGURE_ENV" placed in the MAINTAINER section. 
FATAL: COMMENT has to be there. 
OK: checking /usr/home/ernst/freebsd/ports/x11/numlockx/distinfo. 
8 fatal errors and 0 warnings found. 

Please fix this first. 

-- 
Ernst
Comment 3 Ernst de Haan freebsd_committer 2003-09-30 15:11:07 UTC
I get a time-out while connecting to dforce.sh.cvut.cz. Could you please 
copy the file to a public mirror somewhere and add that to MASTER_SITES 
(preferrably above dforce.sh.cvut.cz.) If you don't have such a location, I 
can upload the file to my distfiles section on the FreeBSD mirrors, but 
then you are dependant on me to update that when there is a new version of 
the distfile...

Ernst
Comment 4 ernst.dehaan 2003-10-01 11:18:56 UTC
I've got the distfile now. But now when I try 'make install deinstall' I get 
an error.

Tail of the output:

===>  Installing for numlockx-1.0
===>   Generating temporary packing list
===>  Checking if x11/numlockx already installed
/bin/sh ./mkinstalldirs /usr/X11R6/bin
  install -c -s -o root -g wheel -m 555  numlockx /usr/X11R6/bin/numlockx
===>   Registering installation for numlockx-1.0
===>  Deinstalling for x11/numlockx
===>   Deinstalling numlockx-1.0
pkg_delete: file '/usr/local/bin/numlockx' doesn't really exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

It seems the pkg-plist is incorrect. Please fix.

Next time, please test using the procedures described in the FreeBSD 
Porter's Handbook:
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/
testing.html

Ernst
Comment 5 Ernst de Haan freebsd_committer 2003-10-01 11:58:19 UTC
State Changed
From-To: feedback->closed

Committed, thanks!